Skip to main content
GET
/
v1
/
wallets
/
{id}
/
virtual-accounts
Master Wallet Get All
curl --request GET \
  --url https://api.blockradar.co/v1/wallets/{id}/virtual-accounts \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.blockradar.co/v1/wallets/{id}/virtual-accounts"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.blockradar.co/v1/wallets/{id}/virtual-accounts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "accountName": "test user",
      "accountNumber": "9012271961",
      "address": null,
      "bankCode": "076",
      "bankName": "Polaris Bank",
      "createdAt": "2026-01-21T22:15:55.746Z",
      "currency": "NGN",
      "customer": {
        "createdAt": "2026-01-21T22:15:55.746Z",
        "email": "[email protected]",
        "id": "3082e278-557a-44f0-9205-c2639560cd5a",
        "name": "test user",
        "network": "mainnet",
        "phone": "+2346112768485",
        "status": "ACTIVE",
        "updatedAt": "2026-01-21T22:15:55.746Z"
      },
      "id": "597ef702-f096-4f8a-a542-29e8757ba208",
      "isActive": true,
      "label": null,
      "reference": "172",
      "status": "ACTIVE",
      "type": "AUTO_FUNDING",
      "updatedAt": "2026-01-21T22:15:55.746Z",
      "wallet": {
        "address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
        "configurations": null,
        "createdAt": "2024-05-27T15:33:42.377Z",
        "derivationPath": "m/44'/60'/0'/0/11",
        "description": "This is Base wallet",
        "id": "35e964a6-436a-424f-bf3a-618cc060feea",
        "isActive": true,
        "name": "Base Wallet",
        "network": "mainnet",
        "status": "ACTIVE",
        "updatedAt": "2024-05-27T15:33:42.377Z"
      }
    },
    {
      "accountName": "halima codesphere55",
      "accountNumber": "9016547710",
      "address": {
        "address": "0xbaD4E4B5e6660AcD138F776a992b566e8Bf3bb15",
        "configurations": {
          "aml": {
            "message": "Address is not sanctioned",
            "provider": "ofac, fbi, tether, circle",
            "status": "success"
          }
        },
        "createdAt": "2025-11-04T20:54:41.190Z",
        "derivationPath": "m/44'/60'/0'/0/50",
        "id": "af8b6e52-a734-479a-8ccb-7ff0610afd44",
        "isActive": false,
        "metadata": null,
        "name": "halima codesphere55",
        "network": "mainnet",
        "type": "INTERNAL",
        "updatedAt": "2026-01-14T20:22:46.686Z"
      },
      "bankCode": "076",
      "bankName": "Polaris Bank",
      "createdAt": "2025-11-28T06:06:06.505Z",
      "currency": "NGN",
      "customer": {
        "createdAt": "2025-11-28T06:06:06.505Z",
        "email": "[email protected]",
        "id": "7733fd94-2bfa-49ca-88df-6b3d324b4a45",
        "name": "halima codesphere55",
        "network": "mainnet",
        "phone": "+2348536898286",
        "status": "ACTIVE",
        "updatedAt": "2025-11-28T06:06:06.505Z"
      },
      "id": "b85adfd0-c961-48c8-8512-cd9563d08a90",
      "isActive": true,
      "label": null,
      "reference": "74",
      "status": "ACTIVE",
      "type": "AUTO_FUNDING",
      "updatedAt": "2025-11-28T06:06:06.505Z",
      "wallet": {
        "address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
        "configurations": null,
        "createdAt": "2024-05-27T15:33:42.377Z",
        "derivationPath": "m/44'/60'/0'/0/11",
        "description": "This is Base wallet",
        "id": "35e964a6-436a-424f-bf3a-618cc060feea",
        "isActive": true,
        "name": "Base Wallet",
        "network": "mainnet",
        "status": "ACTIVE",
        "updatedAt": "2024-05-27T15:33:42.377Z"
      }
    },
    {
      "accountName": "adekunle miles92",
      "accountNumber": "9012906360",
      "address": {
        "address": "0xBE49Ac3a0CC3d99572C140A9cb6176d119E359d4",
        "configurations": {
          "aml": {
            "message": "Address is not sanctioned",
            "provider": "ofac, fbi, tether, circle",
            "status": "success"
          },
          "autoSettlement": {
            "isActive": false,
            "rules": []
          },
          "disableAutoSweep": true,
          "enableGaslessWithdraw": true,
          "showPrivateKey": false
        },
        "createdAt": "2025-11-05T18:21:46.926Z",
        "derivationPath": "m/44'/60'/0'/0/51",
        "id": "7f8fac6a-d9f9-4df4-bd30-3b8466855c96",
        "isActive": true,
        "metadata": null,
        "name": "adekunle miles92",
        "network": "mainnet",
        "type": "INTERNAL",
        "updatedAt": "2025-11-28T06:02:22.423Z"
      },
      "bankCode": "076",
      "bankName": "Polaris Bank",
      "createdAt": "2025-11-28T06:02:16.690Z",
      "currency": "NGN",
      "customer": {
        "createdAt": "2025-11-28T06:02:16.690Z",
        "email": "[email protected]",
        "id": "ac7618ec-cdbe-4e7c-ae7a-606c58709537",
        "name": "adekunle miles92",
        "network": "mainnet",
        "phone": "+2348086152794",
        "status": "ACTIVE",
        "updatedAt": "2025-11-28T06:02:16.690Z"
      },
      "id": "2549f430-8c75-46ce-b8f7-6fddca2601a5",
      "isActive": true,
      "label": null,
      "reference": "73",
      "status": "ACTIVE",
      "type": "AUTO_FUNDING",
      "updatedAt": "2025-11-28T06:02:16.690Z",
      "wallet": {
        "address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
        "configurations": null,
        "createdAt": "2024-05-27T15:33:42.377Z",
        "derivationPath": "m/44'/60'/0'/0/11",
        "description": "This is Base wallet",
        "id": "35e964a6-436a-424f-bf3a-618cc060feea",
        "isActive": true,
        "name": "Base Wallet",
        "network": "mainnet",
        "status": "ACTIVE",
        "updatedAt": "2024-05-27T15:33:42.377Z"
      }
    },
    {
      "accountName": "yipiya fergetic",
      "accountNumber": "9017643363",
      "address": null,
      "bankCode": "076",
      "bankName": "Polaris Bank",
      "createdAt": "2025-11-07T16:24:08.510Z",
      "currency": "NGN",
      "customer": {
        "createdAt": "2025-11-07T16:24:08.510Z",
        "email": "[email protected]",
        "id": "73fc5661-6730-4602-80a7-6b16ad430d9d",
        "name": "yipiya fergetic",
        "network": "mainnet",
        "phone": "+2348037871563",
        "status": "ACTIVE",
        "updatedAt": "2025-11-07T16:24:08.510Z"
      },
      "id": "a4551050-e65e-492d-ad88-a8afa960addf",
      "isActive": true,
      "label": null,
      "reference": "24",
      "status": "ACTIVE",
      "type": "AUTO_FUNDING",
      "updatedAt": "2025-12-02T03:57:50.946Z",
      "wallet": {
        "address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
        "configurations": null,
        "createdAt": "2024-05-27T15:33:42.377Z",
        "derivationPath": "m/44'/60'/0'/0/11",
        "description": "This is Base wallet",
        "id": "35e964a6-436a-424f-bf3a-618cc060feea",
        "isActive": true,
        "name": "Base Wallet",
        "network": "mainnet",
        "status": "ACTIVE",
        "updatedAt": "2024-05-27T15:33:42.377Z"
      }
    }
  ],
  "message": "Virtual accounts retrieved successfully",
  "meta": {
    "currentPage": 1,
    "itemCount": 4,
    "itemsPerPage": 10,
    "totalItems": 4,
    "totalPages": 1
  },
  "statusCode": 200
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required
Example:

"YOUR_WALLET_ID"

Response

200 - application/json

200

data
object[]
Example:
[
  {
    "accountName": "test user",
    "accountNumber": "9012271961",
    "address": null,
    "bankCode": "076",
    "bankName": "Polaris Bank",
    "createdAt": "2026-01-21T22:15:55.746Z",
    "currency": "NGN",
    "customer": {
      "createdAt": "2026-01-21T22:15:55.746Z",
      "email": "[email protected]",
      "id": "3082e278-557a-44f0-9205-c2639560cd5a",
      "name": "test user",
      "network": "mainnet",
      "phone": "+2346112768485",
      "status": "ACTIVE",
      "updatedAt": "2026-01-21T22:15:55.746Z"
    },
    "id": "597ef702-f096-4f8a-a542-29e8757ba208",
    "isActive": true,
    "label": null,
    "reference": "172",
    "status": "ACTIVE",
    "type": "AUTO_FUNDING",
    "updatedAt": "2026-01-21T22:15:55.746Z",
    "wallet": {
      "address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
      "configurations": null,
      "createdAt": "2024-05-27T15:33:42.377Z",
      "derivationPath": "m/44'/60'/0'/0/11",
      "description": "This is Base wallet",
      "id": "35e964a6-436a-424f-bf3a-618cc060feea",
      "isActive": true,
      "name": "Base Wallet",
      "network": "mainnet",
      "status": "ACTIVE",
      "updatedAt": "2024-05-27T15:33:42.377Z"
    }
  },
  {
    "accountName": "halima codesphere55",
    "accountNumber": "9016547710",
    "address": {
      "address": "0xbaD4E4B5e6660AcD138F776a992b566e8Bf3bb15",
      "configurations": {
        "aml": {
          "message": "Address is not sanctioned",
          "provider": "ofac, fbi, tether, circle",
          "status": "success"
        }
      },
      "createdAt": "2025-11-04T20:54:41.190Z",
      "derivationPath": "m/44'/60'/0'/0/50",
      "id": "af8b6e52-a734-479a-8ccb-7ff0610afd44",
      "isActive": false,
      "metadata": null,
      "name": "halima codesphere55",
      "network": "mainnet",
      "type": "INTERNAL",
      "updatedAt": "2026-01-14T20:22:46.686Z"
    },
    "bankCode": "076",
    "bankName": "Polaris Bank",
    "createdAt": "2025-11-28T06:06:06.505Z",
    "currency": "NGN",
    "customer": {
      "createdAt": "2025-11-28T06:06:06.505Z",
      "email": "[email protected]",
      "id": "7733fd94-2bfa-49ca-88df-6b3d324b4a45",
      "name": "halima codesphere55",
      "network": "mainnet",
      "phone": "+2348536898286",
      "status": "ACTIVE",
      "updatedAt": "2025-11-28T06:06:06.505Z"
    },
    "id": "b85adfd0-c961-48c8-8512-cd9563d08a90",
    "isActive": true,
    "label": null,
    "reference": "74",
    "status": "ACTIVE",
    "type": "AUTO_FUNDING",
    "updatedAt": "2025-11-28T06:06:06.505Z",
    "wallet": {
      "address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
      "configurations": null,
      "createdAt": "2024-05-27T15:33:42.377Z",
      "derivationPath": "m/44'/60'/0'/0/11",
      "description": "This is Base wallet",
      "id": "35e964a6-436a-424f-bf3a-618cc060feea",
      "isActive": true,
      "name": "Base Wallet",
      "network": "mainnet",
      "status": "ACTIVE",
      "updatedAt": "2024-05-27T15:33:42.377Z"
    }
  },
  {
    "accountName": "adekunle miles92",
    "accountNumber": "9012906360",
    "address": {
      "address": "0xBE49Ac3a0CC3d99572C140A9cb6176d119E359d4",
      "configurations": {
        "aml": {
          "message": "Address is not sanctioned",
          "provider": "ofac, fbi, tether, circle",
          "status": "success"
        },
        "autoSettlement": { "isActive": false, "rules": [] },
        "disableAutoSweep": true,
        "enableGaslessWithdraw": true,
        "showPrivateKey": false
      },
      "createdAt": "2025-11-05T18:21:46.926Z",
      "derivationPath": "m/44'/60'/0'/0/51",
      "id": "7f8fac6a-d9f9-4df4-bd30-3b8466855c96",
      "isActive": true,
      "metadata": null,
      "name": "adekunle miles92",
      "network": "mainnet",
      "type": "INTERNAL",
      "updatedAt": "2025-11-28T06:02:22.423Z"
    },
    "bankCode": "076",
    "bankName": "Polaris Bank",
    "createdAt": "2025-11-28T06:02:16.690Z",
    "currency": "NGN",
    "customer": {
      "createdAt": "2025-11-28T06:02:16.690Z",
      "email": "[email protected]",
      "id": "ac7618ec-cdbe-4e7c-ae7a-606c58709537",
      "name": "adekunle miles92",
      "network": "mainnet",
      "phone": "+2348086152794",
      "status": "ACTIVE",
      "updatedAt": "2025-11-28T06:02:16.690Z"
    },
    "id": "2549f430-8c75-46ce-b8f7-6fddca2601a5",
    "isActive": true,
    "label": null,
    "reference": "73",
    "status": "ACTIVE",
    "type": "AUTO_FUNDING",
    "updatedAt": "2025-11-28T06:02:16.690Z",
    "wallet": {
      "address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
      "configurations": null,
      "createdAt": "2024-05-27T15:33:42.377Z",
      "derivationPath": "m/44'/60'/0'/0/11",
      "description": "This is Base wallet",
      "id": "35e964a6-436a-424f-bf3a-618cc060feea",
      "isActive": true,
      "name": "Base Wallet",
      "network": "mainnet",
      "status": "ACTIVE",
      "updatedAt": "2024-05-27T15:33:42.377Z"
    }
  },
  {
    "accountName": "yipiya fergetic",
    "accountNumber": "9017643363",
    "address": null,
    "bankCode": "076",
    "bankName": "Polaris Bank",
    "createdAt": "2025-11-07T16:24:08.510Z",
    "currency": "NGN",
    "customer": {
      "createdAt": "2025-11-07T16:24:08.510Z",
      "email": "[email protected]",
      "id": "73fc5661-6730-4602-80a7-6b16ad430d9d",
      "name": "yipiya fergetic",
      "network": "mainnet",
      "phone": "+2348037871563",
      "status": "ACTIVE",
      "updatedAt": "2025-11-07T16:24:08.510Z"
    },
    "id": "a4551050-e65e-492d-ad88-a8afa960addf",
    "isActive": true,
    "label": null,
    "reference": "24",
    "status": "ACTIVE",
    "type": "AUTO_FUNDING",
    "updatedAt": "2025-12-02T03:57:50.946Z",
    "wallet": {
      "address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
      "configurations": null,
      "createdAt": "2024-05-27T15:33:42.377Z",
      "derivationPath": "m/44'/60'/0'/0/11",
      "description": "This is Base wallet",
      "id": "35e964a6-436a-424f-bf3a-618cc060feea",
      "isActive": true,
      "name": "Base Wallet",
      "network": "mainnet",
      "status": "ACTIVE",
      "updatedAt": "2024-05-27T15:33:42.377Z"
    }
  }
]
message
string
Example:

"Virtual accounts retrieved successfully"

meta
object
statusCode
number
Example:

200